# inspired from fedora spec file
# Copyright (c) 2015 Shawn Iwinski <shawn.iwinski@gmail.com>
# License: MIT
# http://opensource.org/licenses/MIT

%define github_name      Pimple
%define composer_name    pimple
%define composer_vendor  pimple
%define _disable_ld_no_undefined 1

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:          php-%{composer_name}
Version:       3.3.1
Release:       %mkrel 1
Summary:       A simple dependency injection container for PHP (extension)
Group:         Development/PHP
License:       MIT
URL:           http://pimple.sensiolabs.org
Source0:       https://github.com/silexphp/Pimple/archive/%{github_name}-%{version}.tar.gz
BuildArch:     noarch
# composer.json
Requires:  php >= 5.3.0
Requires:  php-composer(psr/container) >= 1.0
## Autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
# Drop extension
Obsoletes: php-pimple-lib

%description
%{summary}.

Autoloader: %{php_libdir}/Pimple/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build
cat > src/Pimple/autoload.php <<'EOF'
<?php
 /* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Pimple\\', __DIR__);

\Fedora\Autoloader\Dependencies::required(array(
    '%{php_libdir}/Psr/Container/autoload.php',
));
EOF

%install
# Library
mkdir -p %{buildroot}/%{php_libdir}/
cp -rp src/Pimple %{buildroot}/%{php_libdir}/

%files
%doc LICENSE CHANGELOG README.rst composer.json
%{php_libdir}/Pimple
%exclude %{php_libdir}/Pimple/Tests


%changelog
* Fri Nov 27 2020 guillomovitch <guillomovitch> 3.3.1-1.mga8
+ Revision: 1649764
- new version 3.3.1

* Tue Jun 09 2020 guillomovitch <guillomovitch> 3.3.0-1.mga8
+ Revision: 1591415
- new version 3.3.0

* Wed Feb 12 2020 umeabot <umeabot> 3.2.3-3.mga8
+ Revision: 1507380
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.2.3-2.mga7
+ Revision: 1287868
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 guillomovitch <guillomovitch> 3.2.3-1.mga7
+ Revision: 1205529
- new version 3.2.3

* Sun Dec 24 2017 guillomovitch <guillomovitch> 3.2.2-2.mga7
+ Revision: 1184591
- drop extension
- switch autoloader to fedora/autoloader
- restore from obsoletes
+ mokraemer <mokraemer>
- drop php 5.3 package

* Fri Oct 06 2017 guillomovitch <guillomovitch> 3.2.2-1.mga7
+ Revision: 1169332
- imported package php-pimple

